--- kde-2.2/kdebase/kcontrol/background/Makefile.am.orig	Tue Apr  3 18:07:03 2001
+++ kde-2.2/kdebase/kcontrol/background/Makefile.am	Fri May  4 14:11:09 2001
@@ -7,7 +7,7 @@
 kde_module_LTLIBRARIES = libkcm_background.la
 
 libkcm_background_la_SOURCES = backgnd.cpp bgdialogs.cpp 
-libkcm_background_la_LDFLAGS = -module -avoid-version $(all_libraries) -no-undefined
+libkcm_background_la_LDFLAGS = $(KDE_RPATH) -module -avoid-version $(all_libraries) -no-undefined
 libkcm_background_la_LIBADD = $(LIB_KFILE) libbgnd.la
 
 METASOURCES = AUTO
--- kde-2.2/kdebase/kcontrol/socks/socks.cpp.orig	Thu May  3 12:45:07 2001
+++ kde-2.2/kdebase/kcontrol/socks/socks.cpp	Thu May  3 13:10:38 2001
@@ -19,6 +19,9 @@
  *  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
  */
 
+#if defined(_AIX)
+#  include <sys/time.h>
+#endif
 
 #include <qframe.h>
 #include <qfile.h>
--- kde-2.2/kdebase/kicker/Makefile.am.orig	Tue Apr 10 18:06:35 2001
+++ kde-2.2/kdebase/kicker/Makefile.am	Fri May  4 14:24:15 2001
@@ -9,7 +9,7 @@
 
 kicker_la_LIBADD = share/libkicker_share.la core/libkicker_core.la  ui/libkicker_ui.la $(LIB_KSYCOCA) $(LIB_KFILE)
 kicker_la_SOURCES = dummy.cpp
-kicker_la_LDFLAGS = $(KDE_PLUGIN) -no-undefined -module
+kicker_la_LDFLAGS = $(KDE_RPATH) $(KDE_PLUGIN) -no-undefined -module
 
 kicker_LDADD = kicker.la
 kicker_SOURCES = dummy.cpp
--- kde-2.2/kdebase/kioslave/thumbnail/gscreator.cpp.orig	Thu May  3 13:32:45 2001
+++ kde-2.2/kdebase/kioslave/thumbnail/gscreator.cpp	Thu May  3 13:33:11 2001
@@ -19,6 +19,10 @@
 
 // $Id: gscreator.cpp,v 1.3 2001/03/31 16:47:31 malte Exp $
 
+#if defined(_AIX) && !defined(_AIX51)
+#  include <strings.h>
+#endif
+
 #include <assert.h>
 #include <stdlib.h>
 #include <unistd.h>
--- kde-2.2/kdebase/kwin/workspace.cpp.orig	Thu May  3 13:47:40 2001
+++ kde-2.2/kdebase/kwin/workspace.cpp	Thu May  3 13:47:56 2001
@@ -7,6 +7,10 @@
 //#define QT_CLEAN_NAMESPACE
 #define select kwin_hide_select
 
+#if defined(_AIX) && !defined(_AIX51)
+#  include <strings.h>
+#endif
+
 #include <kconfig.h>
 #include <kglobal.h>
 #include <kglobalsettings.h>
--- kde-2.2/kdebase/libkonq/konq_operations.h.orig	Fri Aug 10 10:14:58 2001
+++ kde-2.2/kdebase/libkonq/konq_operations.h	Fri Aug 10 10:15:38 2001
@@ -45,6 +45,10 @@
      */
     static void editMimeType( const QString & mimeType );
 
+#ifdef STAT
+#  undef STAT
+#endif
+
     enum { TRASH, DEL, SHRED, COPY, MOVE, LINK, EMPTYTRASH, STAT };
     /**
      * @param method should be TRASH, DEL or SHRED
--- kde-2.2/kdebase/kcontrol/kdm/Makefile.am.orig	Fri Aug 10 14:56:33 2001
+++ kde-2.2/kdebase/kcontrol/kdm/Makefile.am	Fri Aug 10 14:56:47 2001
@@ -4,7 +4,7 @@
 	kdropsite.cpp backgnd.cpp kdm-users.cpp kdm-conv.cpp \
 	klanguagebutton.cpp main.cpp bgdialogs.cpp
 
-libkcm_kdm_la_LDFLAGS  = $(all_libraries) -module -avoid-version -no-undefined
+libkcm_kdm_la_LDFLAGS  = $(KDE_RPATH) $(QT_LDFLAGS) $(all_libraries) -module -avoid-version -no-undefined
 libkcm_kdm_la_LIBADD = -lkdeui -lkio -lkfile $(top_builddir)/kcontrol/background/libbgnd.la
 
 INCLUDES= -I$(top_srcdir)/kcontrol/background -I$(top_srcdir)/kdesktop $(all_includes)
--- kde-2.2/kdebase/konqueror/sidebar/trees/bookmark_module/Makefile.am.orig	Fri Aug 10 15:04:18 2001
+++ kde-2.2/kdebase/konqueror/sidebar/trees/bookmark_module/Makefile.am	Fri Aug 10 15:04:32 2001
@@ -5,7 +5,7 @@
 METASOURCES = AUTO
 
 libkonqsidebartree_bookmarks_la_SOURCES = bookmark_module.cpp bookmark_item.cpp
-libkonqsidebartree_bookmarks_la_LDFLAGS = $(all_libraries)
+libkonqsidebartree_bookmarks_la_LDFLAGS = $(KDE_RPATH) -R$(kde_moduledir) $(all_libraries)
 libkonqsidebartree_bookmarks_la_LIBADD = ../libkonqsidebar_tree.la ../../libkonqsidebarplugin.la
 # $(KDE_PLUGIN) can't do that at the moment
 
--- kde-2.2/kdebase/konqueror/sidebar/trees/dirtree_module/Makefile.am.orig	Fri Aug 10 15:06:30 2001
+++ kde-2.2/kdebase/konqueror/sidebar/trees/dirtree_module/Makefile.am	Fri Aug 10 15:06:47 2001
@@ -4,7 +4,7 @@
 
 METASOURCES = AUTO
 libkonqsidebartree_dirtree_la_SOURCES = dirtree_module.cpp dirtree_item.cpp
-libkonqsidebartree_dirtree_la_LDFLAGS = $(all_libraries)  $(KDE_PLUGIN)
+libkonqsidebartree_dirtree_la_LDFLAGS = -R$(kde_moduledir) $(all_libraries)  $(KDE_PLUGIN)
 libkonqsidebartree_dirtree_la_LIBADD = ../../libkonqsidebarplugin.la  ../libkonqsidebar_tree.la
 # $(KDE_PLUGIN) can't do that at the moment
 
--- kde-2.2/kdebase/konqueror/sidebar/trees/history_module/Makefile.am.orig	Fri Aug 10 15:08:10 2001
+++ kde-2.2/kdebase/konqueror/sidebar/trees/history_module/Makefile.am	Fri Aug 10 15:08:18 2001
@@ -6,7 +6,7 @@
 
 libkonqsidebartree_history_la_SOURCES = history_module.cpp history_item.cpp \
 	history_dlg.ui history_settings.cpp history_settings.skel
-libkonqsidebartree_history_la_LDFLAGS = $(all_libraries) $(KDE_MODULE)
+libkonqsidebartree_history_la_LDFLAGS = $(KDE_RPATH) -R$(kde_moduledir) $(all_libraries) $(KDE_MODULE)
 libkonqsidebartree_history_la_LIBADD = ../libkonqsidebar_tree.la ../../libkonqsidebarplugin.la
 # $(KDE_PLUGIN)
 
--- kde-2.2/kdebase/kdesktop/Makefile.am.orig	Fri Aug 10 15:12:06 2001
+++ kde-2.2/kdebase/kdesktop/Makefile.am	Fri Aug 10 15:12:22 2001
@@ -1,7 +1,7 @@
 ## Makefile.am of kdebase/kdesktop
 
 INCLUDES = -I$(top_srcdir)/kcontrol/background -I$(top_srcdir)/libkonq $(all_includes)
-kdesktop_la_LDFLAGS  = $(all_libraries) -lkdesu -module -avoid-version
+kdesktop_la_LDFLAGS  = $(KDE_RPATH) $(all_libraries) -lkdesu -module -avoid-version
 kdesktop_la_LIBADD   = $(top_builddir)/libkonq/libkonq.la $(top_builddir)/kcontrol/background/libbgnd.la 
 kdesktop_LDFLAGS  = $(KDE_RPATH) $(all_libraries)
 kdesktop_LDADD    = kdesktop.la
--- kde-2.2/kdebase/kcontrol/crypto/Makefile.am.orig	Fri Aug 10 14:45:07 2001
+++ kde-2.2/kdebase/kcontrol/crypto/Makefile.am	Fri Aug 10 15:16:30 2001
@@ -3,7 +3,7 @@
 
 libkcm_crypto_la_SOURCES = crypto.cpp certexport.cpp kdatetimedlg.cpp
 
-libkcm_crypto_la_LDFLAGS  = $(all_libraries) $(SSL_LDFLAGS) -module -avoid-version -no-undefined
+libkcm_crypto_la_LDFLAGS  = $(KDE_RPATH) $(all_libraries) $(SSL_LDFLAGS) -module -avoid-version -no-undefined
 libkcm_crypto_la_LIBADD = -lkdeui -lkfile $(LIBSSL)
 
 libkcm_crypto_la_METASOURCES = AUTO
--- kde-2.2/kdebase/configure.orig	Mon Aug 27 11:42:45 2001
+++ kde-2.2/kdebase/configure	Mon Aug 27 11:43:15 2001
@@ -10199,7 +10199,7 @@
 if test "$ssl_libraries" = "/usr/lib" || test "$ssl_libraries" = "/usr/local/lib" || test -z "$ssl_libraries"; then
  SSL_LDFLAGS=""
 else
- SSL_LDFLAGS="-L$ssl_libraries"
+ SSL_LDFLAGS="-L$ssl_libraries -R$ssl_libraries"
 fi
 
 
--- kde-2.2/kdebase/configure.in.orig	Mon Aug 27 11:42:37 2001
+++ kde-2.2/kdebase/configure.in	Mon Aug 27 11:43:00 2001
@@ -362,7 +362,7 @@
 if test "$ssl_libraries" = "/usr/lib" || test "$ssl_libraries" = "/usr/local/lib" || test -z "$ssl_libraries"; then
  SSL_LDFLAGS=""
 else
- SSL_LDFLAGS="-L$ssl_libraries"
+ SSL_LDFLAGS="-L$ssl_libraries -R$ssl_libraries"
 fi
 
 AC_SUBST(SSL_INCLUDES)
--- kde-2.2/kdebase/kcontrol/crypto/configure.in.in.orig	Mon Aug 27 12:42:03 2001
+++ kde-2.2/kdebase/kcontrol/crypto/configure.in.in	Sun Jan 14 08:01:03 2001
@@ -111,7 +111,7 @@
 if test "$ssl_libraries" = "/usr/lib" || test "$ssl_libraries" = "/usr/local/lib" || test -z "$ssl_libraries"; then
  SSL_LDFLAGS=""
 else
- SSL_LDFLAGS="-L$ssl_libraries"
+ SSL_LDFLAGS="-L$ssl_libraries -R$ssl_libraries"
 fi
 
 AC_SUBST(SSL_INCLUDES)
--- kde-2.2/kdebase/kdm/kfrontend/genkdmconf.c.orig	Mon Jul 30 17:12:39 2001
+++ kde-2.2/kdebase/kdm/kfrontend/genkdmconf.c	Mon Aug 13 14:46:40 2001
@@ -212,7 +212,10 @@
  */
 
 #ifndef HALT_CMD
-# ifdef BSD
+# ifdef _AIX
+#  define HALT_CMD	"/usr/sbin/shutdown -h now"
+#  define REBOOT_CMD	"/usr/sbin/shutdown -r now"
+# elif defined(BSD)
 #  define HALT_CMD	"/sbin/shutdown -h now"
 #  define REBOOT_CMD	"/sbin/shutdown -r now"
 # elif defined(__SVR4)
@@ -314,7 +317,7 @@
 
 Ent entsXdmcp[] = {
 { "# Whether KDM should listen to XDMCP requests. Default is true.\n", 
-"Enable",	"false", 1 },
+"Enable",	"true", 1 },
 { "# The UDP port KDM should listen on for XDMCP requests. Don't change the 177.\n", 
 "Port",		"177", 0 },
 { "# File with the private keys of X-terminals. Required for XDM authentication.\n"
@@ -459,7 +462,7 @@
 { "# Session types the users can select. It is advisable to have \"default\" and\n"
 "# \"failsafe\" listed herein, which is also the default.\n"
 "# Note, that the meaning of this value is entirely up to your Session program.\n", 
-"SessionTypes",	"default,kde,failsafe", 1 },
+"SessionTypes",	"kde,gnome,CDE,failsafe,xterm", 1 },
 { "# Widget Style of the greeter:\n"
 "# KDE, Windows, Platinum, Motif, Motif+, CDE, SGI; Default is KDE\n", 
 "GUIStyle",	"Windows", 0 },
@@ -487,11 +490,11 @@
 "# Default is \"Welcome to %s at %n\"\n", 
 "GreetString",	"K Desktop Environment (%n)", 0 },
 { "# The font for the headline. Default is charter,24,bold\n", 
-"GreetFont",	"charter,24,5,0,50,0", 0 },
+"GreetFont",	"charter,16,5,0,50,0", 1 },
 { "# The normal font used in the greeter. Default is helvetica,12\n", 
-"StdFont",	"helvetica,12,5,0,50,0", 0 },
+"StdFont",	"helvetica,10,5,0,50,0", 1 },
 { "# The font used for the \"Login Failed\" message. Default is helvetica,12,bold\n", 
-"FailFont",	"helvetica,12,5,0,75,0", 0 },
+"FailFont",	"helvetica,10,5,0,75,0", 1 },
 { "# Language to use in the greeter.\n"
 "# Use the default C or coutry codes like de, en, pl, etc.\n", 
 "Language",	"de", 0 },
@@ -504,7 +507,7 @@
 { "# For ShowUsers=Selected. Default is \"\"\n", 
 "Users",	"root,johndoe", 0 },
 { "# For ShowUsers=All. Default is \"\"\n", 
-"NoUsers",	"adm,alias,amanda,apache,bin,bind,daemon,exim,falken,ftp,games,gdm,gopher,halt,httpd,ident,ingres,kmem,lp,mail,mailnull,man,mta,mysql,named,news,nobody,nscd,operator,pcap,pop,postfix,postgres,qmaild,qmaill,qmailp,qmailq,qmailr,qmails,radvd,reboot,rpc,rpcuser,rpm,sendmail,shutdown,squid,sympa,sync,tty,uucp,xfs,xten", 1 },
+"NoUsers",	"adm,alias,amanda,apache,bin,bind,daemon,exim,falken,ftp,games,gdm,gopher,halt,httpd,ident,imnadm,ingres,kmem,lp,mail,mailnull,man,mta,mysql,named,news,nobody,nscd,operator,pcap,pop,postfix,postgres,qmaild,qmaill,qmailp,qmailq,qmailr,qmails,radvd,reboot,rpc,rpcuser,rpm,sendmail,shutdown,squid,sympa,sync,tty,uucp,xfs,xten", 1 },
 { "# Special case of NoUsers: users with a UID less than this number (except root)\n"
 "# will not be shown as well. Default is 0\n", 
 "MinShowUID",	"1000", 0 },
@@ -563,7 +566,7 @@
 
 Ent entsLocalGreeter[] = {
 { "# See above.\n", 
-"AllowShutdown",	"All", 1 },
+"AllowShutdown",	"Root", 1 },
 { "# Complain, if local X-authorization cannot be created. Default is true\n"
 "# XXX this is a dummy currently\n", 
 "AuthComplain",	"false", 0 },
@@ -1567,7 +1570,7 @@
 #elif defined(sun)
 ":0 local@console " XBINDIR "/X"
 #elif defined(_AIX)
-":0 local@lft0 " XBINDIR "/X"
+":0 local@lft0 " XBINDIR "/X -T -force"
 #else
 ":0 local " XBINDIR "/X"
 #endif
@@ -1605,11 +1608,37 @@
 "chown $USER /dev/console\n"
 #endif
 "\n"
+#ifdef _AIX
+"#We create a pseudodevice for finger.  (host:0 becomes kdm/host_0)\n"
+"#Without it, finger errors out with \"Can't stat /dev/host:0\".\n"
+"#\n"
+"if [ -f /usr/lib/X11/xdm/sessreg ]; then\n"
+"  devname=`echo $DISPLAY | /usr/bin/sed -e 's/[:\\.]/_/g' | /usr/bin/cut -c1-8`\n"
+"  hostname=`echo $DISPLAY | /usr/bin/cut -d':' -f1`\n"
+"\n"
+"  if [ -z \"$devname\" ]; then\n"
+"    devname=\"unknown\"\n"
+"  fi\n"
+"  if [ ! -d /dev/kdm ]; then\n"
+"    /usr/bin/mkdir /dev/kdm\n"
+"    /usr/bin/chmod 755 /dev/kdm\n"
+"  fi\n"
+"  /usr/bin/touch /dev/kdm/$devname\n"
+"  /usr/bin/chmod 644 /dev/kdm/$devname\n"
+"\n"
+"  if [ -z \"$hostname\" ]; then\n"
+"    exec /usr/lib/X11/xdm/sessreg -a -l kdm/$devname $USER\n"
+"  else\n"
+"    exec /usr/lib/X11/xdm/sessreg -a -l kdm/$devname -h $hostname $USER\n"
+"  fi\n"
+"fi\n"
+#else
 "#exec sessreg -a -l $DISPLAY "
 #ifdef BSD
 "-x " KDMCONF "/Xservers "
 #endif
 "$USER\n"
+#endif /* _AIX */
 );
     writeFile ("%s/Xreset", 0755, "%s",
 "#!/bin/sh\n"
@@ -1627,11 +1656,18 @@
 "chmod 622 /dev/console\n"
 #endif
 "\n"
+#ifdef _AIX
+"if [ -f /usr/lib/X11/xdm/sessreg ]; then\n"
+"  devname=`echo $DISPLAY | /usr/bin/sed -e 's/[:\\.]/_/g' | /usr/bin/cut -c1-12`\n"
+"  exec /usr/lib/X11/xdm/sessreg -d -l kdm/$devname $USER\n"
+"fi\n"
+#else
 "#exec sessreg -d -l $DISPLAY "
 #ifdef BSD
 "-x " KDMCONF "/Xservers "
 #endif
 "$USER\n"
+#endif /* _AIX */
 );
     writeFile ("%s/Xsession", 0755, "%s",
 "#!/bin/sh\n"
@@ -1655,6 +1691,10 @@
 "\n"
 "case \"$sess\" in\n"
 "    failsafe)\n"
+"	aixterm -geometry 80x24-0-0 &\n"
+"	exec mwm\n"
+"	;;\n"
+"    xterm)\n"
 "	exec xterm -geometry 80x24-0-0 $*\n"
 "	;;\n"
 "    \"\"|default)\n"
--- kde-2.2/kdebase/kcontrol/arts/arts.cpp.orig	Fri Oct 12 15:26:11 2001
+++ kde-2.2/kdebase/kcontrol/arts/arts.cpp	Fri Oct 12 15:26:26 2001
@@ -363,7 +363,7 @@
 
 void KArtsModule::defaults()
 {
-	startServer->setChecked(true);
+	startServer->setChecked(false);
 	startRealtime->setChecked(true);
 	networkTransparent->setChecked(false);
 	x11Comm->setChecked(false);
